Manifesto
---------
> Nobody should start to undertake a large project. You start with a small _trivial_ project, and you should never expect it to get large. If you do, you'll just overdesign and generally think it is more important than it likely is at that stage. Or worse, you might be scared away by the sheer size of the work you envision. So start small, and think about the details. Don't think about some big picture and fancy design. If it doesn't solve some fairly immediate need, it's almost certainly over-designed. And don't expect people to jump in and help you. That's not how these things work. You need to get something half-way _useful_ first, and then others will say "hey, that _almost_ works for me", and they'll get involved in the project.

— Linus Torvalds.

About
-----
Microsoft&reg; .NET&trade; sample projects showcasing a variety of technologies, frameworks and libraries.

Credits
-------
All samples have been coded in C# using [Visual Studio 2010 Express](http://www.microsoft.com/visualstudio/en-us/products/2010-editions/express-iso) mostly targeting [.NET Framework 4](http://www.microsoft.com/net/) and trying to follow [StyleCop](http://www.stylecop.com/) guidelines.

Terms
-----
Created by [Nano Taboada](http://openid.nanotaboada.com.ar) under a [MIT License](http://opensource.org/licenses/mit-license.php).
All trademarks, registered trademarks, service marks, product names, company names or logos are property of their respective owners and are used for reference purposes only.
